### Method

# Adw NavigationSplitView set_sidebar_position

since: 1.7

#### Declaration [src]

    void
    adw_navigation_split_view_set_sidebar_position (
      AdwNavigationSplitView* self,
      GtkPackType position
    )

#### Description [src]

Sets the sidebar position for `self`.

If set to `GTK_PACK_START`, the sidebar is displayed before the content, and the sidebar will be the root page when collapsed.

If set to `GTK_PACK_END`, the sidebar is displayed after the content, and the content will be the root page.

Available since: 1.7

Sets property | `Adw.NavigationSplitView:sidebar-position`

#### Parameters

`position`

  Type: `GtkPackType`

  The new position.